### Class

# Phosh NotificationList

#### Description [src]

    final class Phosh.NotificationList : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A list containing one or more `PhoshNotificationSource`

`PhoshNotificationList` maps between `PhoshNotificationSource` objects and their notifications creating and removing sources on the fly.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### phosh_notification_list_new

Create an empty `PhoshNotificationList`, generally used via phosh_notify_manager_get_list().

#### Instance methods

###### phosh_notification_list_add

Registers a new notification with `self` adding to (or creating) the relevant `PhoshNotificationSource`.

###### phosh_notification_list_get_by_id

Find a `PhoshNotification` in `self` by it’s `id`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct PhoshNotificationListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.